Package com.mockobjects.jms

# Class MockQueueReceiver

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockMessageConsumer
com.mockobjects.jms.MockQueueReceiver

All Implemented Interfaces:
  `Verifiable`

public class MockQueueReceiver extends MockMessageConsumer

## Constructor Summary

Constructors
Constructor
Description
`MockQueueReceiver()`

## Method Summary

Modifier and Type
Method
Description
`Queue`
`getQueue()`

### Methods inherited from class com.mockobjects.jms.MockMessageConsumer

`close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setExpectedCloseCalls, setExpectedMessageListener, setExpectedReceiveCalls, setExpectedTimeout, setMessageListener, setupExpiresOnTimeout, setupReceivedMessage, setupThrowException`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockQueueReceiver

public MockQueueReceiver()

## Method Details

### getQueue

public Queue getQueue()